ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Tc.Errors.Types.PromotionErr

# Documentation

data PromotionErr Source #

Constructors

TyConPE |
ClassPE |
FamDataConPE |
ConstrainedDataConPE ThetaType |
PatSynPE |
RecDataConPE |
TermVariablePE |
TypeVariablePE |

#### Instances

Instances details

Generic PromotionErr Source # |

Instance details

Defined in GHC.Tc.Errors.Types.PromotionErr

Associated Types

type Rep PromotionErr |

Instance details

Defined in GHC.Tc.Errors.Types.PromotionErr

type Rep PromotionErr = D1 ('MetaData "PromotionErr" "GHC.Tc.Errors.Types.PromotionErr" "ghc-lib-parser-9.12.2.20250421-CLarrBnVGcX5rqdmHKZO6f" 'False) (((C1 ('MetaCons "TyConPE" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "ClassPE" 'PrefixI 'False) (U1 :: Type -> Type)) :+: (C1 ('MetaCons "FamDataConPE" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "ConstrainedDataConPE" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ThetaType)))) :+: ((C1 ('MetaCons "PatSynPE" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "RecDataConPE" 'PrefixI 'False) (U1 :: Type -> Type)) :+: (C1 ('MetaCons "TermVariablePE" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "TypeVariablePE" 'PrefixI 'False) (U1 :: Type -> Type))))

Methods

from :: PromotionErr -> Rep PromotionErr x Source #

to :: Rep PromotionErr x -> PromotionErr Source #

Outputable PromotionErr Source # |
Instance details Defined in GHC.Tc.Errors.Types.PromotionErr Methods ppr :: PromotionErr -> SDoc Source #
type Rep PromotionErr Source # |

Instance details

Defined in GHC.Tc.Errors.Types.PromotionErr

type Rep PromotionErr = D1 ('MetaData "PromotionErr" "GHC.Tc.Errors.Types.PromotionErr" "ghc-lib-parser-9.12.2.20250421-CLarrBnVGcX5rqdmHKZO6f" 'False) (((C1 ('MetaCons "TyConPE" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "ClassPE" 'PrefixI 'False) (U1 :: Type -> Type)) :+: (C1 ('MetaCons "FamDataConPE" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "ConstrainedDataConPE" 'PrefixI 'False) (S1 ('MetaSel ('Nothing :: Maybe Symbol) 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ThetaType)))) :+: ((C1 ('MetaCons "PatSynPE" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "RecDataConPE" 'PrefixI 'False) (U1 :: Type -> Type)) :+: (C1 ('MetaCons "TermVariablePE" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "TypeVariablePE" 'PrefixI 'False) (U1 :: Type -> Type))))

pprPECategory :: PromotionErr -> SDoc Source #

peCategory :: PromotionErr -> String Source #

data TermLevelUseErr Source #

Constructors

TyConTE |
ClassTE |
TyVarTE |

#### Instances

Instances details

Generic TermLevelUseErr Source # |

Instance details

Defined in GHC.Tc.Errors.Types.PromotionErr

Associated Types

type Rep TermLevelUseErr |

Instance details

Defined in GHC.Tc.Errors.Types.PromotionErr

type Rep TermLevelUseErr = D1 ('MetaData "TermLevelUseErr" "GHC.Tc.Errors.Types.PromotionErr" "ghc-lib-parser-9.12.2.20250421-CLarrBnVGcX5rqdmHKZO6f" 'False) (C1 ('MetaCons "TyConTE" 'PrefixI 'False) (U1 :: Type -> Type) :+: (C1 ('MetaCons "ClassTE" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "TyVarTE" 'PrefixI 'False) (U1 :: Type -> Type)))

Methods

from :: TermLevelUseErr -> Rep TermLevelUseErr x Source #

to :: Rep TermLevelUseErr x -> TermLevelUseErr Source #

type Rep TermLevelUseErr Source # |

Instance details

Defined in GHC.Tc.Errors.Types.PromotionErr

type Rep TermLevelUseErr = D1 ('MetaData "TermLevelUseErr" "GHC.Tc.Errors.Types.PromotionErr" "ghc-lib-parser-9.12.2.20250421-CLarrBnVGcX5rqdmHKZO6f" 'False) (C1 ('MetaCons "TyConTE" 'PrefixI 'False) (U1 :: Type -> Type) :+: (C1 ('MetaCons "ClassTE" 'PrefixI 'False) (U1 :: Type -> Type) :+: C1 ('MetaCons "TyVarTE" 'PrefixI 'False) (U1 :: Type -> Type)))

teCategory :: TermLevelUseErr -> String Source #